for (j1 = 0; j1 < n; j1++) {
  i1 = (n_sub == 0) ? j1 : subset[j1];
  while (i_ex < n_ex && excluded[i_ex] < i1)
    i_ex += 2;
  while (i_14 < n_14 && one_four[i_14] < i1)
    i_14 += 2;
  for (j2 = j1+1; j2 < n; j2++) {
    i2 = (n_sub == 0) ? j2 : subset[j2];
    while (i_ex < n_ex && excluded[i_ex] == i1 && excluded[i_ex+1] < i2)
      i_ex += 2;
    while (i_14 < n_14 && one_four[i_14] == i1 && one_four[i_14+1] < i2)
      i_14 += 2;
    if (i_ex >= n_ex || excluded[i_ex] != i1 || excluded[i_ex+1] != i2) {
      distance_vector_function(d, x[i1], x[i2], distance_data);
      d_sq = vector_length_sq(d);
      if (cutoff_sq == 0. || d_sq <= cutoff_sq) {
        if (nblist->npairs == nblist->allocated_pairs &&
            !nblist_realloc(nblist, nblist->npairs+1)) {
          PyErr_SetString(PyExc_MemoryError,"index out of bounds");
          return 0;
        }
        pair.i1 = i1; pair.i2 = i2;
        pair.r_sq = d_sq;
        pair.check = d_sq > check_cutoff_sq;
        pair.one_four = i_14 < n_14 && one_four[i_14] == i1 &&
                                       one_four[i_14+1] == i2;
        nblist->pairs[nblist->npairs] = pair;
        nblist->npairs++;
      }
    }
  }
}
