from mmtk import *

ff = AmberForceField()
world = InfiniteUniverse(ff)
result = Group('buckyball1', configuration = 'default')
#result.deduceDihedralsFromConfig()
#result.deduceBondAnglesFromConfig()

join = Joiner(result)
join.joinGroups(result.hook1, result.hook2, 1)
result = join.getResult()
try:
    result.setPositions(ff)
except ConformationError, msg:
    print 'ConformationError',msg

world.group = result

#save(result,'resultk.mmtk')
from ConfigIO import OutputFile
fmt = OutputFile('PDB/resultb.pdb', 'pdb.connect')
fmt.write(result)
fmt.close()

if 1:
    import RasMol
    ras_session = RasMol.RasMol(result, 0, 1)
    ras_session.RefreshScreen()
    ras_session.Interact()
