# Compile the MMTK extension modules

import os, string, sys
import compileall

lib = os.path.join(os.path.join(sys.exec_prefix, 'lib'),
		   'python'+sys.version[:3])

if not os.path.exists('Makefile.pre.in'):
    source = os.path.join(os.path.join(lib, 'config'), 'Makefile.pre.in')
    if os.path.exists(source):
	os.system('cp ' + source + ' .')
    else:
	print "Copy Misc/Makefile.pre.in from the Python distribution"
	print "to this directory and try again."

compileall.compile_dir(".")
os.system("make -f Makefile.pre.in boot")
cc = string.strip(os.popen("grep '^CC=' Makefile").read()[3:])
os.system("cd dpmta; " +
          "find . -name Makefile\\* -exec csh ../fix_dpmta_makefile {} \\; ; "
          "make CC='" + cc + "' DFLAGS='-DSERIAL -DVIRIAL -DMACROSCOPIC' " +
                " serial")
os.system("cd ../qhull; make ; cd python; make ; cp *.so ../../mmtk/")
os.system("cd ../hull; make ; cd python; make ; cp *.so ../../mmtk/")
os.system("cd ../rasmolapi; make ; cd python; make ; cp *.so ../../mmtk")
os.system("make")
