for (k = 0; k < n_ex; k += 2) {
  int i = excluded[k];
  int j = excluded[k+1];
  int type1 = lj_type[i];
  int type2 = lj_type[j];
  int type_index = ntypes*type1+type2;
  double eps = eps_sigma[2*type_index];
  double sigma = eps_sigma[2*type_index+1];
  double qiqj = charge[i]*charge[j]*electrostatic_energy_factor;
  if (type1 < 0 || type2 < 0)
    eps = 0.;
  pair_lj_es_energy(-eps, sigma, -qiqj, distance_vector_function);
}
for (k = 0; k < n_14; k += 2) {
  int i = one_four[k];
  int j = one_four[k+1];
  int type1 = lj_type[i];
  int type2 = lj_type[j];
  int type_index = ntypes*type1+type2;
  double eps = eps_sigma[2*type_index];
  double sigma = eps_sigma[2*type_index+1];
  double qiqj = charge[i]*charge[j]*electrostatic_energy_factor;
  if (type1 < 0 || type2 < 0)
    eps = 0.;
  pair_lj_es_energy(eps*(lj_one_four_factor-1.), sigma,
                    qiqj*(es_one_four_factor-1.), distance_vector_function);
}
n = (n_sub == 0) ? natoms : n_sub;
for (k = 0; k < n; k++) {
  int i = (n_sub == 0) ? k : subset[k];
  for (l = k+1; l < n; l++) {
    int j = (n_sub == 0) ? l : subset[l];
    int type1 = lj_type[i];
    int type2 = lj_type[j];
    int type_index = ntypes*type1+type2;
    double eps = eps_sigma[2*type_index];
    double sigma = eps_sigma[2*type_index+1];
    double qiqj = charge[i]*charge[j]*electrostatic_energy_factor;
    if (type1 < 0 || type2 < 0)
      eps = 0.;
    pair_lj_es_energy(eps, sigma, qiqj, distance_vector_function);
  }
}
