/* infile.h
 * RasMol2 Molecular Graphics
 * Roger Sayle, August 1995
 * Version 2.6
 */

#ifdef INFILE

#else
#endif

#ifdef FUNCPROTO
int LoadPDBMolecule( FILE*, int, Molecule __far *Database );
int LoadMacroModelMolecule( FILE* );
int LoadAlchemyMolecule( FILE*, Molecule __far *Database );
int LoadCharmmMolecule( FILE* );
int LoadBiosymMolecule( FILE* );
int LoadMOPACMolecule( FILE*, Molecule __far *Database );
int LoadSHELXMolecule( FILE* );
int LoadMol2Molecule( FILE*, Molecule __far *Database );
int LoadFDATMolecule( FILE* );
int LoadMDLMolecule( FILE*, Molecule __far *Database );
int LoadXYZMolecule( FILE* );
int LoadCEXMolecule( FILE* );

int SaveAlchemyMolecule( char*, Molecule __far *Database );
int SavePDBMolecule( char*, Molecule __far *Database );
int SaveMDLMolecule( char*, Molecule __far *Database );
int SaveXYZMolecule( char*, Molecule __far *Database );
int SaveCIFMolecule( char*, Molecule __far *Database );
int SaveCEXMolecule( char* );

#else /* non-ANSI C compiler */
int LoadPDBMolecule();
int LoadMacroModelMolecule();
int LoadAlchemyMolecule();
int LoadCharmmMolecule();
int LoadMOPACMolecule();
int LoadMol2Molecule();
int LoadXYZMolecule();
int LoadMDLMolecule();

int SaveAlchemyMolecule();
int SaveMol2Molecule();
int SavePDBMolecule();
int SaveMDLMolecule();
int SaveXYZMolecule();
int SaveCIFMolecule();
int SaveCEXMolecule();

#endif

