/* outfile.h
 * RasMol2 Molecular Graphics
 * Roger Sayle, August 1995
 * Version 2.6
 */

#ifdef OUTFILE
int UseTransparent;
int UseOutLine;

#else
extern int UseTransparent;
extern int UseOutLine;
#endif

#ifdef FUNCPROTO
int WriteVectPSFile( char*, Molecule __far *Database );
int WriteEPSFFile( char*, int, int );
int WriteRastFile( char*, int );
int WritePICTFile( char* );
int WriteIRISFile( char* );
int WritePPMFile( char*, int );
int WriteGIFFile( char* );
int WriteBMPFile( char* );
void InitialiseOutFile(void);

#else /* non-ANSI C compiler */
int WriteVectPSFile();
int WriteEPSFFile();
int WriteRastFile();
int WritePICTFile();
int WriteIRISFile();
int WritePPMFile();
int WriteGIFFile();
int WriteBMPFile();
void InitialiseOutFile();

#endif

